#
# spec file for package python-sphinxcontrib-programoutput
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-sphinxcontrib-programoutput
Version:        0.8
Release:        2.2
License:        BSD-2-Clause
Summary:        Sphinx extension to include program output
Url:            http://sphinxcontrib-programoutput.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/s/sphinxcontrib-programoutput/sphinxcontrib-programoutput-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pytest
BuildRequires:  python-Sphinx
Requires:       python-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Sphinx extension to literally insert the output of arbitrary commands into
documents, helping you to keep your command examples up to date.

%prep
%setup -q -n sphinxcontrib-programoutput-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#NOTE(saschpe): Running tests works but there's an UTF-8 issue I don't yet care about:
#%%check
#PYTHONPATH=%{buildroot}%{python_sitelib} py.test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 16 2013 speilicke@suse.com
- Initial version
